Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport
Class TransportStatusEvent

    java.lang.Object
      org.codehaus.activemq.transport.TransportStatusEvent

public class TransportStatusEvent
extends java.lang.Object

A TransportStatusEvent is raised when the state of the underlying transport channel changes

Version:
  $Revision: 1.1 $

Field Summary
`static int` | `CONNECTED` The channel has been intially and successfully connected
`static int` | `DISCONNECTED` The channel has been disconnected, but maybe reconnected
`static int` | `FAILED` The channel has failed
`static int` | `RECONNECTED` The channel has successfully reconnected after a disconnect

Constructor Summary
`TransportStatusEvent()` Default Constructor

Method Summary
`int` | `getChannelStatus()`
`java.net.URI` | `getRemoteURI()`
`void` | `setChannelStatus(int channelStatus)`
`void` | `setRemoteURI(java.net.URI remoteURI)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONNECTED

    public static final int CONNECTED

  The channel has been intially and successfully connected

  See Also:
    Constant Field Values

### DISCONNECTED

    public static final int DISCONNECTED

  The channel has been disconnected, but maybe reconnected

  See Also:
    Constant Field Values

### RECONNECTED

    public static final int RECONNECTED

  The channel has successfully reconnected after a disconnect

  See Also:
    Constant Field Values

### FAILED

    public static final int FAILED

  The channel has failed

  See Also:
    Constant Field Values

Constructor Detail

### TransportStatusEvent

    public TransportStatusEvent()

  Default Constructor

Method Detail

### toString

    public java.lang.String toString()

  Returns:
    a pretty print of this

### getChannelStatus

    public int getChannelStatus()

  Returns:
    Returns the channelStatus.

### setChannelStatus

    public void setChannelStatus(int channelStatus)

  Parameters:
    `channelStatus` - The channelStatus to set.

### getRemoteURI

    public java.net.URI getRemoteURI()

  Returns:
    Returns the remoteURI.

### setRemoteURI

    public void setRemoteURI(java.net.URI remoteURI)

  Parameters:
    `remoteURI` - The remoteURI to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.